var wxml = require('../lib/wxml');

var input = `
<el-menu theme="dark" :default-active="activeIndex" class="el-menu-demo" mode="horizontal">
    <el-menu-item index="0" class="logo">中台</el-menu-item>

    <el-menu-item v-on:click="changeApp" v-for="(app, index) in apps" index="apps_{{index}}">{{app.name}}</el-menu-item>

    <el-submenu index="moreApp" v-if="moreApps.length > 0">
        <template slot="title">更多</template>
        <el-menu-item v-on:click="changeApp" v-for="(app, index) in moreApps" index="moreApps_{{index}}">{{app.name}}</el-menu-item>
    </el-submenu>
    <el-submenu index="User-info" class="right">
        <template slot="title">{{ username }}</template>
        <el-menu-item v-on:click="logOut" index="user_logout">退出</el-menu-item>
    </el-submenu>
    <el-submenu index="tags" class="right">
        <template slot="title">{{ currTag }}</template>
        <el-menu-item v-on:click="changeTag" v-for="(value, key) in tags" index="tags_{{key}}">{{key}}</el-menu-item>
    </el-submenu>

</el-menu>
<div class="line"></div>
<page-container>
    <slot></slot>
</page-container>
`;
wxml(input,function(err,output) {
  console.log(err);
  console.log(output);
});
